Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IFR_Client_Adapter Class Reference

TAO_IFR_Client_Adapter. More...

`#include <IFR_Client_Adapter.h>`

Inheritance diagram for TAO_IFR_Client_Adapter

[legend]
Collaboration diagram for TAO_IFR_Client_Adapter:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_IFR_Client_Adapter (void)
virtual CORBA::Boolean | interfacedef_cdr_insert ( TAO_OutputCDR &cdr, CORBA_InterfaceDef_ptr object_type )
virtual void | interfacedef_any_insert ( CORBA_Any &any, CORBA_InterfaceDef_ptr object_type )
virtual void | dispose ( CORBA_InterfaceDef_ptr orphan )
virtual CORBA_InterfaceDef_ptr | get_interface ( CORBA::ORB_ptr orb, const char *repo_id, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
virtual CORBA_InterfaceDef_ptr | get_interface_remote ( const CORBA::Object_ptr target, CORBA_Environment &ACE_TRY_ENV )

## Detailed Description

TAO_IFR_Client_Adapter.

Class that adapts various functions in the CORBA namespace which use the Interface Repository. This is a base class for the actual implementation in the TAO_IFR_Client library.

## Constructor & Destructor Documentation

const char *get_rcsid_tao _ TAO_IFR_Client_Adapter::~TAO_IFR_Client_Adapter ( | void )`[inline, virtual]`

## Member Function Documentation

void TAO_IFR_Client_Adapter::dispose ( | CORBA_InterfaceDef_ptr orphan )`[virtual]`

CORBA_InterfaceDef_ptr TAO_IFR_Client_Adapter::get_interface ( | CORBA::ORB_ptr orb,
| const char * repo_id,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

CORBA_InterfaceDef_ptr TAO_IFR_Client_Adapter::get_interface_remote ( | const CORBA::Object_ptr target,
| CORBA_Environment & ACE_TRY_ENV )`[virtual]`

void TAO_IFR_Client_Adapter::interfacedef_any_insert ( | CORBA_Any & any,
| CORBA_InterfaceDef_ptr object_type )`[virtual]`

CORBA::Boolean TAO_IFR_Client_Adapter::interfacedef_cdr_insert ( | TAO_OutputCDR & cdr,
| CORBA_InterfaceDef_ptr object_type )`[virtual]`

The documentation for this class was generated from the following files:

- IFR_Client_Adapter.h
- IFR_Client_Adapter.cpp